/**
 * Wrightia, S.A. (c) 2008
 * ----------------------------------------------------------------------------
 * Author       : Antnio Abreu
 * Creation Date: 18-NOV-2006
 * Purpose      : Complements to the DOM inteface.
 *                Also streamlines some of browser known limitations.
 */

function getElementsByName(tagName, elementName)
/*********************************************************************
*  Collects all Elements with the same name.
**********************************************************************
*  Parameters:
*     tagName     - The tag name that the element is defined as.
*                   Because IE does not find any kind of Tag Element
*                   with the getElementsByName('name') method, the
*                   the tagName helps to workaround it.
*     elementName - The name od the elements to collect.
**********************************************************************
*  Returns the Collection of found Elements.
********************************************************************/{
   var xResult = document.getElementsByName(elementName);

   if (xResult.length == 0)      // IE browser doesn't get any type of element by name... only some!
      {
      xResult = document.getElementsByTagName(tagName);
      if (xResult.length > 0)
         {
         var xTmp = new Array();

         for(xIdx = 0; xIdx < xResult.length; xIdx++)
            if (xResult[xIdx].getAttribute("name") == elementName)  // Opera 9 does not recognize 'xResult[xIdx].name'
               xTmp.push(xResult[xIdx]);

         xResult = xTmp;
         }
      }

   return xResult;
} // END getElementsByName(String, String)


function getRadioValue(radioElement)
/*********************************************************************
*  Get the value of a radio button form element.
**********************************************************************
*  Parameters:
*     radioElement - The form element that is a radio.
**********************************************************************
*  Returns the value of the checked element in the radio group.
********************************************************************/{
   var xResult = "";

   if (radioElement)
      for(xIdx = 0; xIdx < radioElement.length; xIdx++)
         if (radioElement[xIdx].checked)
            {
            xResult = radioElement[xIdx].value;
            break;
            }

   return xResult;
}

